Bug 868119 - Need to add jbossews in the description of rhc threaddump -h
Need to add jbossews in the description of rhc threaddump -h
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: chris alfonso
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 01:27 EDT by Wei Sun
Modified: 2016-01-31 21:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-10-19 01:27:58 EDT
Description of problem:

Run "rhc theaddump -h" or "rhc -h" ,will see the description of rhc threaddump,like "Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.".But now we also can trigger a thread dump for JBossEWS,so need to add JBossEWS for the description. And for -n option,has typos,like "-n, --namespace namespace Namespace to add your application to",need to update.

Version-Release number of selected component (if applicable):
devenv_2348
rhc 0.99.9 

How reproducible:
always

Steps to Reproduce:
1.run "rhc threaddump -h"
  rhc threaddump -h

Actual results:

[openshift@localhost ~]$ rhc threaddump -h
Usage: rhc threaddump <application>
Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^ need to add JBossEWS
Options for threaddump
  -n, --namespace namespace Namespace to add your application to
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                             need to update :  Namespace of your application
  -a, --app name            Name of the application on which to execute the thread dump
Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Suppress the interactive setup wizard from running before a command
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands

Expected results:
Need to add JBossEWS for the description and update the description of -n option 

Additional info:
Comment 1 Clayton Coleman 2012-10-19 14:06:13 EDT
Update the text to be more generic - JBoss and Ruby applications.
Comment 2 chris alfonso 2012-10-19 15:14:08 EDT
merged to master
Comment 3 Wei Sun 2012-10-21 23:21:07 EDT
verified on devenv_2360,rhc client is build from devenv_2360

Use master rhc client rhc-0.99.10,this bug is not fixed.

Step:
1.rhc threaddump -h

Result:
[root@ip-10-120-205-40 ~]# rhc threaddump -h
Usage: rhc threaddump <application>Trigger a thread dump for JBoss and Ruby applications.Options for threaddump  -n, --namespace namespace Namespace of your application  -a, --app name            Name of the application on which to execute the thread dumpGlobal Options  -l, --rhlogin login       OpenShift login  -p, --password password   OpenShift password  -d, --debug               Turn on debugging  --noprompt                Suppress the interactive setup wizard from running before a command  --config FILE             Path of a different config file  -h, --help                Display help documentation  -v, --version             Display version information  --timeout seconds         Set the timeout in seconds for network commands

Note You need to log in before you can comment on or make changes to this bug.